### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.discovery

# Interface PassportInterface

All Superinterfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public interface PassportInterface extends Serializable
Passport interface. The passport is used to track the travels of another object in order to provide a mechanism to enable/disable access based upon whether or not the object has already visited a particular destination.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addId(String discoveryServiceId)`
  Stamps the discovery passport with the ID of a discovery service which has processed this service request template.
  `void`
  `clear()`
  Clears the passport by removing all previously added IDs.
  `boolean`
  `containsId(String discoveryServiceId)`
  Determines whether or not the ID exists in the passport.
  `boolean`
  `containsId(String discoveryServiceId, boolean stampPassport)`
  Determines whether or not the specified discovery service has already processed this service request.
  `void`
  `removeId(String discoveryServiceId)`
  Removes an ID from the passport.

- ## Method Details

  - ### clear

    void clear()
    Clears the passport by removing all previously added IDs.

  - ### containsId

    boolean containsId(String discoveryServiceId)
    Determines whether or not the ID exists in the passport.
    Parameters:
      `discoveryServiceId` - The ID that may exist in the passport.
    Returns:
      `true` if the ID was already in the passport.

  - ### containsId

    boolean containsId(String discoveryServiceId, boolean stampPassport)
    Determines whether or not the specified discovery service has already processed this service request. Optionally stamp the passport if the ID isn't already present.
    Parameters:
      `discoveryServiceId` - The ID that may exist in the passport.
      `stampPassport` - `true` if the passport should be stamped with the ID if its not currently in the passport.
    Returns:
      `true` if the ID was already in the passport.

  - ### addId

    void addId(String discoveryServiceId)
    Stamps the discovery passport with the ID of a discovery service which has processed this service request template.
    Parameters:
      `discoveryServiceId` - The ID to add to the passport.

  - ### removeId

    void removeId(String discoveryServiceId)
    Removes an ID from the passport.
    Parameters:
      `discoveryServiceId` - The ID to remove from the passport.